Bug 1638886

Summary: Installs in Root instead of site-packages
Product: [Fedora] Fedora Reporter: Anil Seth <seth.anil>
Component: childsplayAssignee: Sergio Basto <sergio>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 29CC: gwync, hdegoede, p, sergio
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: childsplay-1.6-28.fc29 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-10-30 17:30:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Anil Seth 2018-10-12 17:26:51 UTC
Description of problem:
Childsplay creates and installs in /childsplay_sp directory.
The command childsplay fails to run as it cannot find the python module.

Version-Release number of selected component (if applicable):
childsplay-1.6-26.fc29.noarch

How reproducible:
Everytime

Steps to Reproduce:
1.Install childsplay
2.Run childsplay from command line
3.

Actual results:
importerror: no module named childsplay_sp.utils

Expected results:
Application should run

Additional info:
Workaround:
$ sudo ln -s /childsplay_sp/ /usr/lib64/python2.7/site-packages/

Comment 1 Fedora Update System 2018-10-20 14:12:16 UTC
childsplay-1.6-28.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a97087de6b

Comment 2 Fedora Update System 2018-10-20 19:24:33 UTC
childsplay-1.6-28.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a97087de6b

Comment 3 Fedora Update System 2018-10-30 17:30:19 UTC
childsplay-1.6-28.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.